%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate ryu

Name:           rust-ryu
Version:        1.0.18
Release:    2%{?dist}
Summary:        Fast floating point to string conversion

License:        Apache-2.0 OR BSL-1.0
URL:            https://crates.io/crates/ryu
Source0:         %{crates_source}
BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Fast floating point to string conversion.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-BOOST
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+no-panic-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+no-panic-devel %{_description}

This package contains library source intended for building other packages which
use the "no-panic" feature of the "%{crate}" crate.

%files       -n %{name}+no-panic-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+small-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+small-devel %{_description}

This package contains library source intended for building other packages which
use the "small" feature of the "%{crate}" crate.

%files       -n %{name}+small-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Fri Jun 13 2025 bbrucezhang <bbrucezhang@tencent.com> - 1.0.18-2
- Rebuilt for loongarch64

* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.18-1
- initial build
